Export products to CSV
curl --request GET \
--url https://api.dev.impactu.colav.co/person/{person_id}/research/products/csvimport requests
url = "https://api.dev.impactu.colav.co/person/{person_id}/research/products/csv"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dev.impactu.colav.co/person/{person_id}/research/products/csv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/person/{person_id}/research/products/csv",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/person/{person_id}/research/products/csv"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dev.impactu.colav.co/person/{person_id}/research/products/csv")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/person/{person_id}/research/products/csv")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyPerson
Export products to CSV
Downloads an author’s research products in CSV format.
GET
/
person
/
{person_id}
/
research
/
products
/
csv
Export products to CSV
curl --request GET \
--url https://api.dev.impactu.colav.co/person/{person_id}/research/products/csvimport requests
url = "https://api.dev.impactu.colav.co/person/{person_id}/research/products/csv"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dev.impactu.colav.co/person/{person_id}/research/products/csv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/person/{person_id}/research/products/csv",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/person/{person_id}/research/products/csv"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dev.impactu.colav.co/person/{person_id}/research/products/csv")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/person/{person_id}/research/products/csv")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyPath parameters
string
required
Author identifier. Example:
0000000001.Query parameters
Filters
The same filters as Search products.string
Year range: minimum and maximum separated by a comma. Example:
2020,2026.string
Product types. Example:
impactu_Artículo de revista.string
Open access status. Example:
diamond,gold.string
OpenAlex topics (URL). Example:
https://openalex.org/T14483.string
Co-authors’ countries, by code. Example:
CO.string
Number of authors:
5 (exactly), 5- (5 or more), -5 (up to 5) or 5-8
(range).string
Author classification. Example:
Investigador Junior.string
Group classification. Example:
A1,A.string
Co-authors’ institution type (ROR). Example:
education,company.This endpoint does not accept the
plot parameter. Unlike the affiliation
CSV, it only
exports the product list.Response
Attached CSV file (Content-Type: text/csv; charset=utf-8), file name person_works.csv.
File name person_works.csv, with the following columns:
| Column | Description |
|---|---|
id | Product identifier |
title | Main title |
language | Language |
authors | Authors separated by | |
open_access_status | Open access status |
bibtex | BibTeX entry on one line |
openalex_citations_count | Citations according to OpenAlex |
scholar_citations_count | Citations according to Scholar |
subjects | Subject areas separated by | |
primary_topic | Primary topic: Topic, Subfield, Field and Domain separated by | |
year_published | Publication year |
doi | DOI |
publisher | Publisher |
openalex_types | OpenAlex types separated by | |
scienti_types | Scienti types separated by | |
impactu_types | ImpactU types separated by | |
source_name | Name of the source (journal) |
source_apc | APC information of the source |
source_urls | URLs of the source |
institutions | Authors’ institutions separated by | |
faculties | Authors’ faculties separated by | |
departments | Authors’ departments separated by | |
groups | Research groups separated by | |
countries | Authors’ countries separated by | |
groups_ranking | Group classifications with their date, separated by | |
ranking | Product classification |
issue | Journal issue |
pages | Number of pages |
start_page | Start page |
end_page | End page |
volume | Volume |
scienti_id | Scienti identifier |
minciencias_id | Minciencias identifier |
| Column | Description |
|---|---|
contract_type | The author’s contract type with their institution in the product’s publication year. |